@import url("reset.css");
@import url("static.css");
@import url("elements.css");

/* = General
-------------------------------------------------------------- */

.clear {
  clear: both;
  display: block;
}

a {
  cursor: pointer;
  text-decoration: none;
}

a:hover {
  text-decoration: none;
}

label,
input[type="submit"] {
  cursor: pointer;
}

html {
  overflow: hidden;
}

/* = Structure
-------------------------------------------------------------- */

html,
body {
  width: 100%;
  height: 100%;
  overflow: hidden;
  -webkit-text-size-adjust: none;
}

body {
  background: #c0bbe1;
  line-height: 1.5;
  font-family: "Source Sans Pro", sans-serif !important;
  color: #6d6343;
  cursor: url(../img/closedhand.cur);
}

#page {
  position: absolute;
  left: 50%;
  top: 50%;
  z-index: 5;
  display: none;
  width: 1100px;
  height: 715px;
  margin: -358px 0 0 -550px;
}

#page.mobile {
  width: 550px;
  height: 358px;
  margin: -210px 0 0 -275px;
}

@media screen and (max-width: 1024px) {
  body {
    background-size: 200% 200%;
  }
}

@media only screen and (-webkit-min-device-pixel-ratio: 1.5),
  only screen and (min-device-pixel-ratio: 1.5) {
  body {
    background-size: 200% 200%;
  }

  #page {
    width: 540px;
    height: 351px;
    margin: -205px 0 0 -270px;
  }

  #about {
    font-size: 90%;
    margin-top: -5%;
  }
}

@media screen and (max-width: 768px) {
  #page {
    width: 540px;
    height: 351px;
    margin: -205px 0 0 -270px;
  }
}

@media only screen and (max-device-width: 960px) {
  #page {
    width: 540px;
    height: 351px;
    margin: -205px 0 0 -270px;
  }

  #about {
    font-size: 80%;
  }
}

.cursor-grab {
  cursor: -webkit-grab;
  cursor: -moz-grab;
}

.overlay {
  position: absolute;
  left: -10000px;
  top: 0;
  z-index: 20;
  background: url(../img/bg-overlay.png);
  width: 100%;
  height: 100%;
  opacity: 0;
}

.overlay.active {
  left: 0;
}

/* = About
-------------------------------------------------------------- */

#about {
  position: absolute;
  z-index: 5;
  width: 45%;
  display: none;
}

#about h3 {
  background: url(../img/arrow-right.png) no-repeat 0 50%;
  margin: 0 0 0.5em 0;
  padding: 0 0 0 25px;
  font-size: 1.375em;
  color: #6d6343;
  padding-left: 35px;
  -webkit-font-smoothing: antialiased;
}

#about ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

#about li {
  padding: 5% 0;
}

#about li:first-child {
  padding-top: 15%;
}

#about p {
  font-size: 0.88em;
  color: #6d6343;
  padding-left: 35px;
}

#about a {
  color: #ffffff;
  text-decoration: underline;
}

#about a:hover {
  color: #ffffff;
  text-decoration: none;
}

/* = Book
-------------------------------------------------------------- */

#book {
  position: relative;
  z-index: 10;
  width: 100%;
  height: 100%;
  background-color: #ece9e1;

  -webkit-border-top-left-radius: 10px;
  -webkit-border-bottom-left-radius: 10px;
  -moz-border-radius-topleft: 10px;
  -moz-border-radius-bottomleft: 10px;
  border-top-left-radius: 10px;
  border-bottom-left-radius: 10px;
}

#book .turn-page {
  background-color: white;
  background-size: 100% 100%;
}

.double {
  background-size: 200% 100% !important;
}

.double.first {
  background-position: 0% 0%;
}

.double.second {
  background-position: -100% 0%;
}

/* = Nav Arrows
	---------------------------------------- */

.nav_arrow {
  position: absolute;
  top: 50%;
  z-index: 15;
  background: url(../img/arrow-navpage.png);
  width: 34px;
  height: 136px;
  margin-top: -68px;
}

.nav_arrow.next {
  right: -34px;
  background-position: 0 0;
}
.nav_arrow.next:hover {
  background-position: 0 -186px;
}

.nav_arrow.prev {
  left: -34px;
  background-position: 0 -372px;
  display: none;
}
.nav_arrow.prev:hover {
  background-position: 0 -558px;
}

/*#page.mobile .nav_arrow.next { right: -24px; }*/

/* = Cover
	---------------------------------------- */

#logo-cover {
  position: absolute;
  right: 40px;
  bottom: 25px;
  z-index: 5;
}

#cover ul {
  clear: both;
  width: 90%;
  margin: 48% auto 0 auto;
  list-style: none;
  padding: 20px 0;
  border-top: 1px solid #e2e2e2;
  border-bottom: 1px solid #e2e2e2;
}

#cover ul:after {
  clear: both;
  content: "";
  display: block;
}

#cover li {
  float: left;
  width: 28.3%;
  margin: 0 2.5%;
}

#cover li,
#cover img {
  -moz-user-select: -moz-none;
  -khtml-user-select: none;
  -webkit-user-select: none;
  user-select: none;
}

#cover li:last-child {
  margin-right: 0;
}

#cover li img {
  float: left;
  width: 100%;
}

#cover li a:hover img {
  opacity: 0.8;
}

/* = End
	---------------------------------------- */

#end {
  text-align: center;
}

#end p {
  padding-top: 60%;
}

/* = Meta data
	---------------------------------------- */

#book .meta {
  position: absolute;
  bottom: 1%;
}

.meta .num {
  font-weight: bold;
  font-size: 0.75em;
  color: #666;
  display: none;
}

.meta .description {
  font-size: 0.688em;
  display: none;
  color: #666;
}

.meta.left {
  left: 12px;
}
.meta.left .num {
  padding-right: 10px;
}

.meta.right {
  right: 12px;
  text-align: right;
}

.meta.right .num {
  padding-left: 10px;
}

/*= Video in lightbox
	----------------------------*/

#lightbox {
  width: 100%;
  height: 100%;
  z-index: 106;
  position: absolute;
  display: block;
}

.bcg {
  width: 100%;
  height: 100%;
  background-color: #000;
  opacity: 0.7;
  position: absolute;
  cursor: pointer;
}

/* --------------------------*/

.page_book {
  padding: 5%;
}

.page_book p {
  -webkit-text-size-adjust: none;
  margin-bottom: 3%;
}

.page_book p a {
  text-decoration: underline;
  color: #64c8d3;
  font-weight: bold;
}

.page_book p a:hover {
  text-decoration: none;
}

.page_book h1 {
  -webkit-text-size-adjust: none;
  margin-bottom: 3%;
}

.page_book h3 {
  -webkit-text-size-adjust: none;
  margin-bottom: 3%;
  margin-top: 5%;
}

.page_book ul {
  list-style: disc inside;
  margin-bottom: 3%;
}

.page_book ul li {
  margin-bottom: 1%;
}

.page_book ul li a {
  color: #77797f;
}

.page_book ul li a:hover {
  color: #000000;
  text-decoration: underline;
}
#optin-consent {
  z-index: 9999;
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.5);
}

#optin-consent .consent-panel {
  position: absolute;
  font-size: 0.8em;
  line-height: 1.5em;
  top: 50%;
  left: 50%;
  width: 360px;
  padding: 30px;
  background-color: #ffffff;
  transform: translate(-50%, -50%);
}

#optin-consent h2 {
  font-size: 1.66em;
  line-height: 2em;
  margin-bottom: 16px;
}

#optin-consent h2.third {
  font-size: 1.25em;
  line-height: 2em;
}

#optin-consent .optin-btn,
a.optin-close {
  float: left;
  width: 48%;
  padding: 1em 0;
  margin: 1em 2% 1em 0;
  font-size: 1.2em;
  line-height: 1em;
  color: #fff;
  background-color: #b3a06d;
  border-radius: 0.2em;
  text-align: center;
}

#optin-consent .optin-btn.optin-none {
  background-color: #b3a06d;
  margin-right: 0;
}

#optin-consent .second {
  text-align: center;
}

#optin-consent .second a {
  color: #000;
}

#optin-consent .third {
  display: none;
}

#optin-consent .third .optin-opt {
  display: block;
  width: 9em;
  font-size: 1.2em;
  line-height: 1.4em;
}

#optin-consent p {
  clear: both;
}

#optin-consent a {
  display: inline-block;
}

#optin-consent a.optin-opt:after {
  float: right;
  content: " \2610 ";
  font-size: 1.6em;
  line-height: 0.85em;
  font-weight: bold;
  vertical-align: top;
}

#optin-consent a.optin-opt.accept:after {
  content: " \2611 ";
}
